CVE-2024-27917

CVSS 3.1 Score 7.5 of 10 (high)

Details

Published Mar 6, 2024
CWE ID 524

Summary

CVE-2024-27917 is a vulnerability affecting Shopware, an open commerce platform based on Symfony Framework and Vue. The issue arises when the Symfony Session Handler assigns the Session Cookie to the Response, resulting in cached 404 pages without cookies. This can be exploited if explicit Session configuration has not been done and Redis is not used for Sessions with the PHP Redis extension. The exploit code can be mitigated by using Redis for Sessions or updating to Shopware version 6.5.8.7, which contains a patch for this vulnerability. The exploit has a base severity rating of HIGH, with a base score of 7.5 in CVSS version 3.1, indicating a potential risk to organizations using affected versions of Shopware.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-27917 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options